Name: dcbd
Summary: Intel(R) EEDC Connection
Version: 0.9.4
Release: 1
Source: %{name}-%{version}.tar.gz
Vendor: Intel Corporation
License: GPL
ExclusiveOS: linux
Group: System Environment
Provides: %{name}
URL: http://www.intel.com/network/connectivity/products/server_adapters.htm
BuildRoot: %{_tmppath}/%{name}-%{version}-root
# do not generate debugging packages by default - newer versions of rpmbuild
# may instead need:
#%define debug_package %{nil}
%debug_package %{nil}
Requires: kernel, fileutils, findutils, gawk, bash

%description
This package contains the Linux user space daemon and configuration tool for Intel Enhanced Ethernet for the Data Center software.

%prep

%setup -q

%build
mkdir -p %{buildroot}
make INSTALL_MOD_PATH=%{buildroot} install

%install

test -f /etc/init.d/dcbx && service dcbx stop
test -f /etc/init.d/dcbx && chkconfig --del dcbx

%clean
rm -rf %{buildroot}

%files
/usr/sbin/dcbd
/usr/sbin/dcbtool
/etc/init.d/dcbx
%dir /etc/sysconfig/dcbd

%defattr(-,root,root)
%doc COPYING
%doc README

%post
chkconfig --add dcbx
service dcbx start

%preun
(test -f /etc/init.d/dcbx && service dcbx stop) || true
(test -f /etc/init.d/dcbx && chkconfig --del dcbx) || true

%postun
rm -fr /etc/sysconfig/dcbd

